var log4js = require('log4js');
var settings = require("../../config/settings");
class LogClient {
  constructor() {
    log4js.configure(settings.basepath + "/app/config/log4js.json");
    this.logerInfo = log4js.getLogger("info_file");
    this.logerError = log4js.getLogger("error_file");
    this.logerPay = log4js.getLogger("pay_file");
    // this.logerHttp=log4js.getLogger("http");
  }
  async info(channelCode, msg) {
    var tmpMsg = typeof (msg) == "string" ? msg : JSON.stringify(msg);
    this.logerInfo.info("_______________________________________________________________________________________________________________________________________________________________________________________________________________________________________");
    this.logerInfo.info("渠道：" + channelCode + "..." + tmpMsg);
  }
  async error(channelCode, msg) {
    var tmpMsg = typeof (msg) == "string" ? msg : JSON.stringify(msg);
    this.logerError.error("_______________________________________________________________________________________________________________________________________________________________________________________________________________________________________");
    this.logerError.error("渠道：" + channelCode + "..." + tmpMsg);
  }
  async payLog(channelCode, msg) {
    var tmpMsg = typeof (msg) == "string" ? msg : JSON.stringify(msg);
    this.logerPay.info("_______________________________________________________________________________________________________________________________________________________________________________________________________________________________________");
    this.logerPay.info("接收渠道付款信息：" + channelCode + "..." + tmpMsg);
  }
}
module.exports = LogClient;
